threadlocal.h File Reference

## Classes

class | ThreadLocal
| This class provides thread-local variables. More...

## Namespaces

| log4cxx
| log4cxx::helpers
| We need to double some logic from LOG4CXX_PTR_DEF or else we are unable to override the comparison operator, which we need to properly fix LOGCXX-394.

## Macros

#define | LOG4CXX_THREAD_FUNC

## Macro Definition Documentation

#define LOG4CXX_THREAD_FUNC